function result = plotdistribution(R,Dmax)

% Plot of rain or cloud distribution functions
% if R=0 then cloud, otherwise rain
% Input: Rain rate R in mm/h, max drop diameter Dmax in mm
% C. Mtzler, Nov. 2002.

if R==0  % cloud distribution
    dD=0.001;D=(0.003:dD:Dmax)';
    x1=cloudMG(D,99,'LS');
    x2=cloudMG(D,99,'FL');
    x3=cloudMG(D,99,'FC');
    x4=cloudMG(D,99,'CC');
%semilogy(D,x1,'r-',D,x2,'b-',D,x3,'g-',D,x4,'k-'), xlabel('D, mm'), ylabel('f(D), 1/mm^4')
%legend('Low Strat','Fog','Fair W Cum','Cum Conges')
semilogy(D,x3,'r-',D,x4,'b-'), xlabel('D, mm'), ylabel('f(D), 1/mm^4')
legend('Fair W Cum','Cum Conges')

elseif R>0
    dD=0.01;D=(0.01:dD:Dmax)';
    x1=rainLP(R,D);
    x2=rainMP(R,D);
    x3=rainJD(R,D);
    x4=rainJT(R,D);
semilogy(D,x1,'r-',D,x2,'b-',D,x3,'g-',D,x4,'k-'), xlabel('D, mm'), ylabel('f(D), 1/mm^4')
legend('Laws-Pars','Marsh-Palm','Joss-Drizzle','Joss-Thunder')
end;
a=[x1,x2,x3,x4];
%result=[D,a];
