function result = rainfallspeed(D)

% Terminal fall speed in m/s of rain drops of diameter D in mm
% for stagnant air, adapted from Sauvageot (1992)
% C. Mtzler, Oct. 2002.

y=repmat(NaN, size(D));
ida=find(D<0.6);
idb=find(D>=0.6);
y(ida)=max(0,4.323*(D(ida)-0.03));
y(idb)=9.65-10.3*exp(-0.6.*D(idb));

result=y;